Generate media
curl --request POST \
--url https://api.pickfu.com/v1/media/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"type": "image",
"aspectRatio": "1:1",
"imageUrls": [
"<string>"
]
}
'import requests
url = "https://api.pickfu.com/v1/media/generate"
payload = {
"prompt": "<string>",
"type": "image",
"aspectRatio": "1:1",
"imageUrls": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>', type: 'image', aspectRatio: '1:1', imageUrls: ['<string>']})
};
fetch('https://api.pickfu.com/v1/media/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"url": "<string>",
"model": "<string>",
"aspectRatio": "<string>",
"prompt": "<string>"
}
}Media
Generate media
Generates an image from a text prompt using AI. The generated image is uploaded to the PickFu CDN and a permanent URL is returned.
POST
/
media
/
generate
Generate media
Authorizations
OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}
Body
application/json
Text prompt describing the image to generate
Required string length:
1 - 10000Media type to generate (default: image)
Available options:
image Aspect ratio of the generated image (default: 1:1)
Available options:
1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9 Up to 3 reference image URLs (https://… or data: URIs) the model can see while generating. Useful for preserving product appearance across variants.
Maximum array length:
3Maximum string length:
8388608Pattern:
^(https?:\/\/|data:)Was this page helpful?
⌘I
